Name:           MultiMC5
Version:        1.6
Release:        4%{?dist}
Summary:        A local install wrapper for MultiMC

License:        ASL 2.0
URL:            https://multimc.org
# MultiMC can only run on 32-bit and 64-bit x86, since Fedora no longer ships 32-bit, limit to x86_64
ExclusiveArch:  x86_64
# Even though the package only works on that architecture, it does not contain any native executables (only shell scripts), so no debug info possible
%global debug_package %{nil}

BuildRequires:  /usr/bin/a2x /usr/bin/desktop-file-install /usr/bin/appstream-util
Requires:       /usr/bin/zenity /usr/bin/wget /usr/bin/xrandr
# The below dependencies were extracted from the MultiMC binaries, that way this RPM should be more portable.
Requires:       libQt5Core.so.5()(64bit) libQt5Gui.so.5()(64bit) libQt5Network.so.5()(64bit) libQt5Widgets.so.5()(64bit) libQt5Xml.so.5()(64bit) libc.so.6()(64bit) libc.so.6(GLIBC_2.14)(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.3.4)(64bit) libc.so.6(GLIBC_2.4)(64bit) libgcc_s.so.1()(64bit) libgcc_s.so.1(GCC_3.0)(64bit) libm.so.6()(64bit) libm.so.6(GLIBC_2.2.5)(64bit) libstdc++.so.6()(64bit) libstdc++.so.6(CXXABI_1.3)(64bit) libstdc++.so.6(GLIBCXX_3.4)(64bit) libstdc++.so.6(GLIBCXX_3.4.11)(64bit) libstdc++.so.6(GLIBCXX_3.4.14)(64bit) libstdc++.so.6(GLIBCXX_3.4.15)(64bit) libstdc++.so.6(GLIBCXX_3.4.20)(64bit) libstdc++.so.6(GLIBCXX_3.4.21)(64bit) libstdc++.so.6(GLIBCXX_3.4.9)(64bit) libz.so.1()(64bit) rtld(GNU_HASH)
Provides:       multimc MultiMC multimc5

Source0:        https://github.com/MultiMC/Launcher/archive/3ca661127f2982666b962f3e345049175985efe3/MultiMC5-1.6.tar.gz
Patch0:         change-appid.patch
Patch1:         manpage-section-6.patch

%description
A local install wrapper for MultiMC

%prep
%autosetup -n Launcher-3ca661127f2982666b962f3e345049175985efe3 -p1
mv doc/multimc.1.txt doc/multimc.6.txt
mv launcher/package/ubuntu/multimc/usr/share/applications/multimc.desktop launcher/package/ubuntu/multimc/usr/share/applications/org.multimc.MultiMC5.desktop
mv launcher/package/ubuntu/multimc/usr/share/metainfo/multimc.metainfo.xml launcher/package/ubuntu/multimc/usr/share/metainfo/org.multimc.MultiMC5.metainfo.xml

%build
a2x -f manpage doc/multimc.6.txt

%install
# Set _metainfodir if not present, openSUSE does not define it
%{!?_metainfodir: %define _metainfodir %{_datadir}/metainfo}
install -Dm 0755 launcher/package/ubuntu/multimc/opt/multimc/run.sh %{buildroot}/%{_bindir}/multimc
install -Dm 0644 launcher/package/ubuntu/multimc/opt/multimc/icon.svg %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/org.multimc.MultiMC5.svg
desktop-file-install --dir=%{buildroot}%{_datadir}/applications launcher/package/ubuntu/multimc/usr/share/applications/org.multimc.MultiMC5.desktop
install -Dm 0644 launcher/package/ubuntu/multimc/usr/share/metainfo/org.multimc.MultiMC5.metainfo.xml %{buildroot}/%{_metainfodir}/org.multimc.MultiMC5.metainfo.xml
install -Dm 0664 doc/multimc.6 %{buildroot}/%{_mandir}/man6/multimc.6

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.multimc.MultiMC5.metainfo.xml

%files
%{_bindir}/multimc
%{_datadir}/icons/hicolor/scalable/apps/org.multimc.MultiMC5.svg
%{_datadir}/applications/org.multimc.MultiMC5.desktop
%{_metainfodir}/org.multimc.MultiMC5.metainfo.xml
%{_mandir}/man6/multimc.6*

# Handle Mandriva menus
%if 0%{?mdkversion}
%post
%update_menus

%postun
%clean_menus

%endif

%changelog
* Sat Feb 05 2022 kb1000 <fedora@kb1000.de> - 1.6-4
- Use desktop-file-install and validate AppStream metainfo

* Sun Nov 21 2021 kb1000 <fedora@kb1000.de> - 1.6-3
- Bump version (update manpage)
- Use ABI-based library dependencies

* Sun Oct 24 2021 kb1000 <fedora@kb1000.de> - 1.6-2
- Bump version

* Tue Jun 01 2021 kb1000 <fedora@kb1000.de> - 1.4-2
- Add xrandr to the dependencies

* Tue Dec 08 00:34:35 CET 2020 joshua-stone <joshua.gage.stone@gmail.com>
- Add metainfo.xml for improving package metadata

* Wed Nov 25 22:53:59 CET 2020 kb1000 <fedora@kb1000.de>
- Initial version of the RPM package, based on the Ubuntu package
